<ion-header>
    <ion-toolbar>
      <ion-title>Add Hour</ion-title>
      <ion-buttons slot="primary">
        <ion-button (click)="closeModal()">
          <ion-icon slot="icon-only" name="close"></ion-icon>
        </ion-button>
      </ion-buttons>
    </ion-toolbar>
  </ion-header>
  
<ion-content>

  <form #form="ngForm" (ngSubmit)="addHour(form)">

    <ion-list>
      <ion-item>
        <ion-label position="floating">Day</ion-label>
        <ion-datetime name="day" displayFormat="D MMM YYYY" min="2019" ngModel required></ion-datetime>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Start</ion-label>
        <ion-datetime name="start" displayFormat="hh:mm a" ngModel required></ion-datetime>
      </ion-item>

      <ion-item>
        <ion-label position="floating">End</ion-label>
        <ion-datetime name="end" displayFormat="hh:mm a" ngModel required></ion-datetime>
      </ion-item>
      
      <ion-item>
          <ion-label>Type</ion-label>
          <ion-select name="type" value="normal" okText="Okay" cancelText="Dismiss" ngModel required>
            <ion-select-option value="Normal">Normal</ion-select-option>
            <ion-select-option value="Happy Hours">Happy Hours</ion-select-option>
            <ion-select-option value="Late Night">Late Night</ion-select-option>
            <ion-select-option value="Pizza Specials">Pizza Specials</ion-select-option>
            <ion-select-option value="Lunch Specials">Lunch Specials</ion-select-option>
            <ion-select-option value="Dinner Specials">Dinner Specials</ion-select-option>
            <ion-select-option value="Brunch Specials">Brunch Specials</ion-select-option>
          </ion-select>
      </ion-item>


    </ion-list>

    <div class="ion-padding">
        <ion-button type="submit" [disabled]="form.invalid" expand="block">Submit</ion-button>
    </div>

  </form>

</ion-content>
